<?php
$wp_customize->get_section( 'colors' )->title = esc_html__('Colors Settings', 'construction-arc');
$wp_customize->get_section( 'colors' )->priority = 4;

$wp_customize->add_setting('constructionarc_primary_color', array(
    'default' => '',
    'sanitize_callback' => 'sanitize_hex_color',
));
$wp_customize->add_control('constructionarc_primary_color', array(
    'type' => 'color',
    'label' => esc_html__('Primary Color', 'construction-arc'),
    'section' => 'colors',
));

$wp_customize->add_setting('content_widget_background', array(
    'sanitize_callback' => 'constructionarc_themes_sanitize_color_alpha',
));
$wp_customize->add_control(new constructionarc_Alpha_Color_Control($wp_customize, "content_widget_background", array(
    'section' => "colors",
    'label' => esc_html__('Widget Background', 'construction-arc')
)));


$wp_customize->add_setting('constructionarc_pro_advance_color', array(
    'sanitize_callback' => 'constructionarc_sanitize_text'
));
$wp_customize->add_control(new constructionarc_Themes_Upgrade_Text($wp_customize, 'constructionarc_pro_advance_color', array(
    'section' => 'colors',
    'label' => esc_html__('For More Settings,', 'construction-arc'),
    'choices' => array(
        esc_html__('H1 To H6 Color Options', 'construction-arc'),
        esc_html__('Link Color', 'construction-arc'),
        esc_html__('Link Hover Color', 'construction-arc'),
        esc_html__('More Color Options', 'construction-arc'),
    ),
    'priority' => 251,
)));